## sphinx-click 2.3.0

=== requirements.txt ===
pbr>=2.0
sphinx>=1.5,<2.2

=== debian/changelog ===
sphinx-click (2.3.0-2) unstable; urgency=medium

  * mark python-sphinx-click-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Oct 2019 00:48:38 +0800

sphinx-click (2.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #943559)

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Oct 2019 23:33:19 +0800

=== debian/control ===
Source: sphinx-click
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-click,
 python3-pbr,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.4.1
Homepage: https://github.com/click-contrib/sphinx-click
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-click
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-click.git

Package: python3-sphinx-click
Architecture: all
Depends: python3-click, ${python3:Depends}, ${misc:Depends}
Suggests: python-sphinx-click-doc
Description: Sphinx plugin to automatically document click-based applications
 sphinx-click is a Sphinx plugin that allows you to automatically
 extract documentation from a click-based application and include it
 in your docs.
 .
 This package installs the library for Python 3.

Package: python-sphinx-click-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Sphinx plugin to automatically document click-based applications (docs)
 sphinx-click is a Sphinx plugin that allows you to automatically
 extract documentation from a click-based application and include it
 in your docs.
 .
 This is the common documentation package.

## sphinx-click 2.3.1

=== requirements.txt ===
pbr>=2.0
sphinx>=1.5,<3.0

=== debian/changelog ===
sphinx-click (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jan 2020 09:18:25 +0800

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sphinx-click

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/html

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=`pybuild --print build_dir` http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator

## sphinx-click 2.5.0

=== requirements.txt ===
pbr>=2.0
sphinx>=1.5,<4.0

=== debian/changelog ===
sphinx-click (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Aug 2020 12:26:07 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-click,
  python3-pbr,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/click-contrib/sphinx-click
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-click
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-click.git

=== debian/tests/control ===
Test-Command: pytest-3
Depends: python3-sphinx-click,
    python3-pytest

## sphinx-click 3.0.1

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=`pybuild --print build_dir` http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
+	PYTHONPATH=`pybuild --print {build_dir}` http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator

## sphinx-click 3.0.2

=== debian/changelog ===
sphinx-click (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * update doc build
    - use execute_after_dh_auto_build not override_dh_auto_build
    - use pybuild dir for default python. Closes: #1002446.
  * run debian/tests (autopkgtest) verbosely: pytest-3 -v

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Jan 2022 10:51:21 +0100

sphinx-click (3.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Drew Parsons ]
  * New upstream release.
    - versioned Build-Depends: python3-pbr (>= 2.0~)
  * Standards-Version: 4.6.0
  * put pybuild build_dir in braces to use in PYTHONPATH

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Aug 2021 17:13:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: sphinx-click
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-click,
- python3-pbr,
+ python3-pbr (>= 2.0~),
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/click-contrib/sphinx-click
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-click
-Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-click.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-click
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-click.git
 
 Package: python3-sphinx-click
 Architecture: all

## sphinx-click 4.0.2

=== debian/changelog ===
sphinx-click (4.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-click and python3-pbr.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jun 2022 09:32:49 +0100

sphinx-click (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-docutils
  * update versioned Build-Depends: python3-click (>= 7.0~),
    python3-sphinx (>= 2.0~)
  * Build-Depends: pybuild-plugin-pyproject to build using
    pyproject.toml

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Apr 2022 13:51:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-click,
- python3-pbr (>= 2.0~),
+ python3-docutils,
+ python3-pbr,
  python3-setuptools,
- python3-sphinx
+ python3-sphinx (>= 2.0~)
 Standards-Version: 4.6.0
 Homepage: https://github.com/click-contrib/sphinx-click
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-click

=== debian/tests/control ===
Test-Command: pytest-3 -v
Depends: python3-sphinx-click,
    python3-pytest

## sphinx-click 4.3.0

=== debian/changelog ===
sphinx-click (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Jul 2022 16:29:42 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pbr,
  python3-setuptools,
  python3-sphinx (>= 2.0~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/click-contrib/sphinx-click
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-click
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-click.git

## sphinx-click 4.4.0

=== requirements.txt ===
sphinx>=2.0
click>=7.0
docutils

=== debian/changelog ===
sphinx-click (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Jan 2023 17:08:59 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pbr,
  python3-setuptools,
  python3-sphinx (>= 2.0~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/click-contrib/sphinx-click
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-click
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-click.git

## sphinx-click 5.0.1

=== debian/changelog ===
sphinx-click (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 02 Nov 2023 23:27:42 +0300

## sphinx-click 5.1.0

=== debian/changelog ===
sphinx-click (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Feb 2024 12:15:57 +0100

## sphinx-click 6.0.0

=== requirements.txt ===
sphinx>=4.0
click>=8.0
docutils

=== debian/changelog ===
sphinx-click (6.0.0-2) unstable; urgency=medium

  * upload sphinx-click 6 to unstable

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Nov 2024 15:48:25 +0100

sphinx-click (6.0.0-1) experimental; urgency=medium

  * New upstream release
  * run tests using pytest over all supported python versions
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Nov 2024 01:39:07 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  python3-click,
  python3-docutils,
  python3-pbr,
+ python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx (>= 2.0~)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/click-contrib/sphinx-click
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-click
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-click.git

## sphinx-click 6.1.0

=== debian/changelog ===
sphinx-click (6.1.0-2) unstable; urgency=medium

  * Team Upload
  * Add build-dep on python3-setuptools-scm to avoid version "0.0.0"
  * Use dh-sequence-python3
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Nov 2025 13:06:41 +0100

sphinx-click (6.1.0-1) unstable; urgency=medium

  * New upstream release
  * debian patch doc_no_reno.patch removes use of reno (reno.sphinxext)
    in doc build, since it requires building from git source not
    tarball source (so changelog in docs can't be generated).
  * add <!nodoc> to Build-Depends: python3-docutils
  * drop versioned Depends (>= 2.0~) on python3-sphinx.
    Package requirement is >= 4.0, current sphinx is >= 8.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Oct 2025 10:31:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 13),
- dh-python,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-click,
- python3-docutils,
+ python3-docutils <!nodoc>,
  python3-pbr,
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-sphinx (>= 2.0~)
-Standards-Version: 4.7.0
+ python3-setuptools-scm,
+ python3-sphinx,
+Standards-Version: 4.7.2
 Homepage: https://github.com/click-contrib/sphinx-click
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-click
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-click.git

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sphinx-click

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf build/html

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print build_dir | awk '{print $$3}' ) \
	  sphinx-build -N -bhtml docs/ build/html # HTML generator

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sphinx-click-$1.tar.gz%" \
   https://github.com/click-contrib/sphinx-click/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
